function video_data_vincent_make_texture

% RIS is free software; you can redistribute it and/or modify
% it under the terms of the GNU General Public License as published by
% the Free Software Foundation; either version 3 of the License, or
% (at your option) any later version.
% 
% RIS is distributed in the hope that it will be useful, but
% WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY
% or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License
% for more details.
% 
% You should have received a copy of the GNU General Public License along
% with this program; if not, write to the Free Software Foundation, Inc.,
% 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA

close all
%make_base
%add_label
smallification

function smallification
IMG_MIN = 1;
IMG_MAX = 217;


for i_img = IMG_MIN:IMG_MAX
    disp(i_img);
    
    img = imread(sprintf('video_vincent/texturesandlabel/%04d.png', i_img));
    
    img = imresize(img, [496 1080], 'lanczos3');
    
    imwrite(img, sprintf('video_vincent/texturesandlabelsmall/%04d.png', i_img));
end

function add_label
IMG_MIN = 1;
IMG_MAX = 217;

lbl = imread('video_vincent/label-textures/label.png');

for i_img = IMG_MIN:IMG_MAX
    disp(i_img);
    
    f = lbl;
    
    img = imread(sprintf('video_vincent/textures/%04d.png', i_img));
    
    f = inset(f, img, 48, 1);
    
    imwrite(f, sprintf('video_vincent/texturesandlabel/%04d.png', i_img));
end




function make_base

IMG_MIN = 1;
IMG_MAX = 217;

for i_img = IMG_MIN:IMG_MAX
    disp(i_img);
    
    img = imread(sprintf('video_vincent/crop/img_res/%03d.png', i_img));
    img = imresize(img, [nan 358-40], 'lanczos3');
    
    ts = imread(sprintf('video_vincent/crop/text_s/%03d.png', i_img));
    tb1 = imread(sprintf('video_vincent/crop/text_b1/%03d.png', i_img));
    tb2 = imread(sprintf('video_vincent/crop/text_b2/%03d.png', i_img));
    rs = imread(sprintf('video_vincent/crop/retext_s/%03d.png', i_img));
    rb1 = imread(sprintf('video_vincent/crop/retext_b1/%03d.png', i_img));
    rb2 = imread(sprintf('video_vincent/crop/retext_b2/%03d.png', i_img));
    
    rs = imresize(rs, [nan 358-6], 'lanczos3');
    rb1 = imresize(rb1, [nan 358-6], 'lanczos3');
    rb2 = imresize(rb2, [nan 358-6], 'lanczos3');
    
    f = zeros([608, 1440, 3]);
    
    [f i0 j0] = inset(f, img, 170, 1);
    j0 = j0 +20;
    
    [f i1 j1] = inset(f, ts, 1, j0+5);
    [f i2 j2] = inset(f, tb1, 1, j1+3);
    [f i3 j3] = inset(f, tb2, 1, j2+3);
    
    [f] = inset(f, rs, i1+1, j0+5+3);
    [f] = inset(f, rb1, i1+1, j1+3+3);
    [f] = inset(f, rb2, i1+1, j2+3+3);
    
    f = uint8(f);

    imwrite(f, sprintf('video_vincent/textures/%04d.png', i_img));
end

function [frame i2 j2] = inset(frame, img, i, j)
i2 = i+size(img,1)-1;
j2 = j+size(img,2)-1;
frame(i:i2, j:j2, :) = img;